/*
** commands.h - 
**
** Keith Zaback (krz@wcug.wwu.edu) Apr 98
*/

#ifndef INC_COMMANDS_H
#define INC_COMMANDS_H


/* for set_option */
#define OPT_FULLFRAME		1
#define OPT_FORWARD		2
#define OPT_SC_OPTS		3
#define OPT_ETH_FRAMETYPE	4

/* option types */
#define OPT_TYPE_BOOL		1		/* on/off */
#define OPT_TYPE_VALUE		2


/* a few defines */
#define CMD_UNKNOWN	0
#define CMD_AMBIGIOUS	(1024*1024)

#define MAX_COMMAND_LENGTH	64

/* the command info block */
typedef struct stCOMMAND_ENTRY {
	char	command[MAX_COMMAND_LENGTH+1];
	int	value;
} COMMAND_ENTRY;

/* protos */
int			which_command(COMMAND_ENTRY cmds[], char *str);



#endif
